//
//  Global.swift
//  OCR-SDK
//
//  Created by itsol on 5/27/20.
//  Copyright © 2020 itsol. All rights reserved.
//

import Foundation

struct Global {
    static var language: String = "en"//"vi"
    static var url_font: String = "http://sdk.sb.gotai.ml/process_card_front"
    static var url_back: String = "http://sdk.sb.gotai.ml/process_card_back"
    static var url_face: String = "http://sdk.sb.gotai.ml/call/predict_front_back_face"
    static var header: [String: Any] = [:]
    static var typeFace: String = "RECORD" //TAKEPHOTO
    static var ratioPass: Float = 70.0
    static var colorConfig: String = "#FFFFFF"
    static var colorButtonNext: String = "#225F8D"
    static var colorButtonBack: String = "#DBDBDD"
    static var colorTextButtonNext: String = "#FFFFFF"
    static var colorTextButtonBack: String = "#225F8D"
    static var colorTextPreview: String = "#000000"
    static var frontConfig: String = ""
    static var copyright: String = "Copyright by ITSOL"
    static var validateCardFront: Bool = false
    static var step: String = "ALL"
    static var colorButtonTutorial: String = "#2C3D51"
    static var useFileCer: Bool = true
    static var imageCard1: Data?
    static var imageCard2: Data?
}

enum StatusFace: String {
    case TOLEFT
    case TORIGHT
    case STRAIGHTFACE
    case ERROR
}

public enum ValidateFace: String {
    case FACE_STRAIGHT
    case FACE_STRAIGHT_FAILD
    case FACE_RIGHT
    case FACE_RIGHT_FAILD
    case FACE_LEFT
    case FACE_LEFT_FAILD
    case FACE_FAKE
    case FACE_READY
    case MANY_FACE
    case NO_FACE
    case ERROR
    case INVALID
}

public enum StepRecord: String {
    case STEP_FACE_STRAIGHT
    case STEP_FACE_LEFT
    case STEP_FACE_RIGHT
}

public enum ValidateCard: String {
    case ERROR
    case IMAGE_FAKE
    case IMAGE_FRONT
    case IMAGE_BACK
}

public enum TypeOverlay: String {
    case OVAL
    case CIRCLE
    case SQUARE
}

public enum TypeCard: String {
    case FRONT
    case BACK
}
