//
//  TutorialVC.swift
//
//  Created by itsol on 5/11/20.
//  Copyright © 2020 itsol. All rights reserved.
//

import UIKit

class SBKTutorialVC: UIViewController {
    @IBOutlet weak var btnProceed: UIButton!
    
    var URLToken: String = ""
    var completionSuccessTutorial: (_ data: [String: Any]?, _ cardImage: Data?, _ faceImage: Data?) -> Void = {_,_,_ in}
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }

    //Chuyển sang màn chụp thẻ mặt trước
    @IBAction func onProceedToCaptureID(_ sender: Any) {
        let controller = SBKCaptureCardVC()
        controller.URLToken = self.URLToken
        controller.completionSuccessCard = { [weak self] data, cardImage, faceImage in
            guard let `self` = self else { return }
            self.completionSuccessTutorial(data, cardImage, faceImage)
        }
        
        self.navigationController?.pushViewController(controller, animated: true)
    }
    
    override func viewDidAppear(_ animated: Bool) {
//        btnProceed.setTitle("Proceed to Capture ID".localized(), for: .normal)
//        btnProceed.backgroundColor = UIColor.colorFromHexa(Global.colorButtonTutorial)
        
    }
    
    @IBAction func onSelectBack(_ sender: Any) {
        self.navigationController?.popViewController(animated: true)
    }
    
    //Sự kiện back màn hình
    @objc func back(sender: UIBarButtonItem) {
        self.navigationController?.popViewController(animated: true)
    }
    
    init(URLToken: String) {
        super.init(nibName: "SBKTutorialVC", bundle: Bundle(for: SBKTutorialVC.self))
        self.URLToken = URLToken
    }
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
}
