//
//  ExtString.swift
//  OCR-SDK
//
//  Created by itsol on 5/26/20.
//  Copyright © 2020 itsol. All rights reserved.
//

import Foundation

extension String {
    func localized() -> String {
        let bundle = Bundle(identifier: "itsol.OCR-SDK")
        let basePath = bundle!.path(forResource: Global.language, ofType: "lproj")!
    
        return Bundle(path: basePath)!.localizedString(forKey: self, value: "", table: nil)
    }
}
